<?xml version="1.0" encoding="UTF-8" ?>

<Form version="1.5" maxVersion="1.9" type="org.netbeans.modules.form.forminfo.JDialogFormInfo">
  <NonVisualComponents>
    <Container class="javax.swing.JScrollPane" name="jScrollPane1">
      <AuxValues>
        <AuxValue name="autoScrollPane" type="java.lang.Boolean" value="true"/>
      </AuxValues>

      <Layout class="org.netbeans.modules.form.compat2.layouts.support.JScrollPaneSupportLayout"/>
      <SubComponents>
        <Component class="javax.swing.JEditorPane" name="jEditorPane1">
        </Component>
      </SubComponents>
    </Container>
  </NonVisualComponents>
  <Properties>
    <Property name="defaultCloseOperation" type="int" value="2"/>
  </Properties>
  <SyntheticProperties>
    <SyntheticProperty name="formSizePolicy" type="int" value="1"/>
    <SyntheticProperty name="generateCenter" type="boolean" value="false"/>
  </SyntheticProperties>
  <AuxValues>
    <AuxValue name="FormSettings_autoResourcing" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_autoSetComponentName" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_generateFQN" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_generateMnemonicsCode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_i18nAutoMode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_layoutCodeTarget" type="java.lang.Integer" value="1"/>
    <AuxValue name="FormSettings_listenerGenerationStyle" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_variablesLocal" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_variablesModifier" type="java.lang.Integer" value="2"/>
  </AuxValues>

  <Layout>
    <DimensionLayout dim="0">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" alignment="1" attributes="0">
              <EmptySpace min="0" pref="0" max="32767" attributes="0"/>
              <Component id="protectDocumentButton" min="-2" max="-2" attributes="0"/>
              <EmptySpace min="-2" pref="41" max="-2" attributes="0"/>
          </Group>
          <Group type="102" alignment="0" attributes="0">
              <EmptySpace min="-2" pref="26" max="-2" attributes="0"/>
              <Group type="103" groupAlignment="0" attributes="0">
                  <Component id="level3Radio" min="-2" max="-2" attributes="0"/>
                  <Component id="level2Radio" min="-2" max="-2" attributes="0"/>
                  <Component id="jLabel1" min="-2" max="-2" attributes="0"/>
                  <Component id="level1Radio" alignment="0" min="-2" max="-2" attributes="0"/>
                  <Group type="102" attributes="0">
                      <Group type="103" groupAlignment="0" attributes="0">
                          <Group type="102" alignment="0" attributes="0">
                              <EmptySpace min="-2" pref="144" max="-2" attributes="0"/>
                              <Group type="103" groupAlignment="0" attributes="0">
                                  <Component id="documentName" alignment="0" min="-2" pref="113" max="-2" attributes="0"/>
                                  <Component id="labelDocumentName" alignment="0" min="-2" max="-2" attributes="0"/>
                              </Group>
                              <EmptySpace min="-2" pref="27" max="-2" attributes="0"/>
                              <Group type="103" groupAlignment="0" attributes="0">
                                  <Component id="labelDocumentDescription" min="-2" max="-2" attributes="0"/>
                                  <Component id="documentDescription" min="-2" pref="119" max="-2" attributes="0"/>
                              </Group>
                          </Group>
                          <Group type="102" alignment="0" attributes="0">
                              <EmptySpace min="-2" pref="28" max="-2" attributes="0"/>
                              <Component id="uploadFileLevel3" min="-2" max="-2" attributes="0"/>
                          </Group>
                      </Group>
                      <EmptySpace min="-2" pref="26" max="-2" attributes="0"/>
                      <Group type="103" groupAlignment="0" attributes="0">
                          <Component id="expirationDateSpinner" min="-2" max="-2" attributes="0"/>
                          <Component id="labelExpirationDate" min="-2" max="-2" attributes="0"/>
                      </Group>
                  </Group>
                  <Group type="102" attributes="0">
                      <EmptySpace min="23" pref="23" max="-2" attributes="0"/>
                      <Group type="103" groupAlignment="0" attributes="0">
                          <Group type="102" alignment="0" attributes="0">
                              <Component id="uploadFileLevel1" min="-2" max="-2" attributes="0"/>
                              <EmptySpace min="-2" pref="28" max="-2" attributes="0"/>
                              <Component id="allowPrintLevel1" min="-2" max="-2" attributes="0"/>
                              <EmptySpace min="-2" pref="41" max="-2" attributes="0"/>
                              <Component id="allowCopyLevel1" min="-2" max="-2" attributes="0"/>
                          </Group>
                          <Group type="102" alignment="0" attributes="0">
                              <Component id="uploadFileLevel2" min="-2" max="-2" attributes="0"/>
                              <EmptySpace min="-2" pref="28" max="-2" attributes="0"/>
                              <Component id="allowPrintLevel2" min="-2" max="-2" attributes="0"/>
                              <EmptySpace min="-2" pref="41" max="-2" attributes="0"/>
                              <Component id="allowCopyLevel2" min="-2" max="-2" attributes="0"/>
                              <EmptySpace min="-2" pref="43" max="-2" attributes="0"/>
                              <Component id="labelPassword" min="-2" max="-2" attributes="0"/>
                              <EmptySpace type="separate" min="-2" max="-2" attributes="0"/>
                              <Component id="password" min="-2" pref="138" max="-2" attributes="0"/>
                          </Group>
                      </Group>
                  </Group>
              </Group>
              <EmptySpace pref="70" max="32767" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
    <DimensionLayout dim="1">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" alignment="0" attributes="0">
              <EmptySpace min="-2" pref="28" max="-2" attributes="0"/>
              <Component id="jLabel1" min="-2" max="-2" attributes="0"/>
              <EmptySpace min="-2" pref="28" max="-2" attributes="0"/>
              <Component id="level1Radio" min="-2" max="-2" attributes="0"/>
              <EmptySpace type="separate" max="-2" attributes="0"/>
              <Group type="103" groupAlignment="3" attributes="0">
                  <Component id="uploadFileLevel1" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="allowPrintLevel1" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="allowCopyLevel1" alignment="3" min="-2" max="-2" attributes="0"/>
              </Group>
              <EmptySpace min="-2" pref="40" max="-2" attributes="0"/>
              <Component id="level2Radio" min="-2" max="-2" attributes="0"/>
              <EmptySpace type="separate" max="-2" attributes="0"/>
              <Group type="103" groupAlignment="3" attributes="0">
                  <Component id="uploadFileLevel2" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="allowPrintLevel2" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="allowCopyLevel2" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="password" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="labelPassword" alignment="3" min="-2" max="-2" attributes="0"/>
              </Group>
              <EmptySpace min="-2" pref="41" max="-2" attributes="0"/>
              <Component id="level3Radio" min="-2" max="-2" attributes="0"/>
              <EmptySpace type="separate" max="-2" attributes="0"/>
              <Group type="103" groupAlignment="3" attributes="0">
                  <Component id="uploadFileLevel3" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="labelDocumentName" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="labelDocumentDescription" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="labelExpirationDate" alignment="3" min="-2" max="-2" attributes="0"/>
              </Group>
              <EmptySpace type="separate" max="-2" attributes="0"/>
              <Group type="103" groupAlignment="3" attributes="0">
                  <Component id="documentName" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="documentDescription" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="expirationDateSpinner" alignment="3" min="-2" max="-2" attributes="0"/>
              </Group>
              <EmptySpace min="-2" pref="36" max="-2" attributes="0"/>
              <Component id="protectDocumentButton" min="-2" max="-2" attributes="0"/>
              <EmptySpace pref="25" max="32767" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
  </Layout>
  <SubComponents>
    <Component class="javax.swing.JLabel" name="jLabel1">
      <Properties>
        <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
          <Font name="Tahoma" size="14" style="1"/>
        </Property>
        <Property name="text" type="java.lang.String" value="Seleziona il livello di sicurezza desiderato"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JButton" name="uploadFileLevel1">
      <Properties>
        <Property name="text" type="java.lang.String" value="Carica file"/>
        <Property name="focusable" type="boolean" value="false"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JButton" name="uploadFileLevel2">
      <Properties>
        <Property name="text" type="java.lang.String" value="Carica file"/>
        <Property name="focusable" type="boolean" value="false"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JButton" name="uploadFileLevel3">
      <Properties>
        <Property name="text" type="java.lang.String" value="Carica file"/>
        <Property name="focusable" type="boolean" value="false"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JCheckBox" name="allowPrintLevel1">
      <Properties>
        <Property name="text" type="java.lang.String" value="Consenti stampa"/>
        <Property name="focusable" type="boolean" value="false"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JCheckBox" name="allowCopyLevel1">
      <Properties>
        <Property name="text" type="java.lang.String" value="Consenti copia"/>
        <Property name="focusable" type="boolean" value="false"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JCheckBox" name="allowPrintLevel2">
      <Properties>
        <Property name="text" type="java.lang.String" value="Consenti stampa"/>
        <Property name="focusable" type="boolean" value="false"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JCheckBox" name="allowCopyLevel2">
      <Properties>
        <Property name="text" type="java.lang.String" value="Consenti copia"/>
        <Property name="focusable" type="boolean" value="false"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JTextField" name="password">
      <Properties>
        <Property name="toolTipText" type="java.lang.String" value="Password"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JLabel" name="labelPassword">
      <Properties>
        <Property name="text" type="java.lang.String" value="Password"/>
        <Property name="focusable" type="boolean" value="false"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JTextField" name="documentName">
    </Component>
    <Component class="javax.swing.JTextField" name="documentDescription">
    </Component>
    <Component class="javax.swing.JLabel" name="labelDocumentName">
      <Properties>
        <Property name="text" type="java.lang.String" value="Nome documento"/>
        <Property name="focusable" type="boolean" value="false"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JLabel" name="labelDocumentDescription">
      <Properties>
        <Property name="text" type="java.lang.String" value="Descrizione documento"/>
        <Property name="focusable" type="boolean" value="false"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JSpinner" name="expirationDateSpinner">
      <Properties>
        <Property name="model" type="javax.swing.SpinnerModel" editor="org.netbeans.modules.form.editors2.SpinnerModelEditor">
          <SpinnerModel initial="now" minimum="now" stepSize="5" type="date"/>
        </Property>
      </Properties>
    </Component>
    <Component class="javax.swing.JButton" name="protectDocumentButton">
      <Properties>
        <Property name="text" type="java.lang.String" value="Proteggi documento"/>
        <Property name="focusable" type="boolean" value="false"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JRadioButton" name="level1Radio">
      <Properties>
        <Property name="action" type="javax.swing.Action" editor="org.netbeans.modules.form.RADConnectionPropertyEditor">
          <Connection code="Application.getInstance().getAddDocumentControl().getLevel1SelectionAction()" type="code"/>
        </Property>
        <Property name="text" type="java.lang.String" value="Livello 1 - SICUREZZA BASSA (Aggiunta restrizioni stampa/copia)"/>
        <Property name="focusable" type="boolean" value="false"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JRadioButton" name="level2Radio">
      <Properties>
        <Property name="action" type="javax.swing.Action" editor="org.netbeans.modules.form.RADConnectionPropertyEditor">
          <Connection code="Application.getInstance().getAddDocumentControl().getLevel2SelectionAction()" type="code"/>
        </Property>
        <Property name="text" type="java.lang.String" value="Livello 2 - SICUREZZA MEDIA (Aggiunta restrizioni stampa/copia + password)"/>
        <Property name="focusable" type="boolean" value="false"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JRadioButton" name="level3Radio">
      <Properties>
        <Property name="action" type="javax.swing.Action" editor="org.netbeans.modules.form.RADConnectionPropertyEditor">
          <Connection code="Application.getInstance().getAddDocumentControl().getLevel3SelectionAction()" type="code"/>
        </Property>
        <Property name="text" type="java.lang.String" value="Livello 3 - SICUREZZA MASSIMA (Condivisione file sicura tramite cloud con controllo accessi)"/>
        <Property name="focusable" type="boolean" value="false"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JCheckBox" name="labelExpirationDate">
      <Properties>
        <Property name="action" type="javax.swing.Action" editor="org.netbeans.modules.form.RADConnectionPropertyEditor">
          <Connection code="Application.getInstance().getAddDocumentControl().getEnableDocumentExpirationAction()" type="code"/>
        </Property>
        <Property name="text" type="java.lang.String" value="Imposta scadenza"/>
      </Properties>
    </Component>
  </SubComponents>
</Form>
